Subject: bug#64647: treesit-query-error due to a recent change to tree-sitter-javascript grammar definition

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jul 2023 11:52:13 +0300

> Date: Sat, 22 Jul 2023 09:29:26 +0200
> From: Theodor Thornhill <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> 
> 
> On 22 July 2023 08:41:04 CEST, Eli Zaretskii <[email-masked]> wrote:
> >> From: Vincenzo Pupillo <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> Date: Thu, 20 Jul 2023 12:14:07 +0200
> >> 
> >> Sorry for the error. I fixed them, tested and fixed the function names according to your instructions (also in js.el)
> >> Hope the patches are better now.
> >
> >Thanks.
> >
> >Theo, Yuan, Jostein: any further comments?  If not, I'd like to
> >install this on the release branch soon.
> 
> I'll look at it in a few hours, then install. Is that ok?

Yes, installing this on the release branch is OK.

Thanks.